#define snapdate 20160430
#define snaphash 4cd524e9e3fd8ceca19b8b9f9f274c7eef9eaf4f

Name:           hawaii-shell
Summary:        Hawaii shell for desktop, netbook and tablet
Version:        0.8.0
Release:        5%{?snaphash:.%{snapdate}git%(echo %{snaphash} | cut -c -13)}%{?dist}
License:        LGPLv2+ and GPLv2+
URL:            http://hawaiios.org
Source0:        https://github.com/hawaii-desktop/%{name}/%{?snaphash:archive}%{!?snaphash:releases/download}/%{?snaphash}%{!?snaphash:v%{version}}/%{name}-%{?snaphash}%{!?snaphash:%{version}}.tar.gz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xdg)
BuildRequires:  pkgconfig(Qt5WaylandClient)
BuildRequires:  pkgconfig(xkbcommon)

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-solid-devel
BuildRequires:  pkgconfig(NetworkManager)
BuildRequires:  kf5-networkmanager-qt-devel

BuildRequires:  cmake(GreenIslandServer)
BuildRequires:  cmake(Hawaii)

BuildRequires:  alsa-lib-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  pam-devel

Requires:       qt5-qtsvg
Requires:       qt5-qttools
Requires:       qt5-qtgraphicaleffects
Requires:       greenisland >= 0.7.90
Requires:       kf5-solid-libs
Requires:       kf5-networkmanager-qt
Requires:       NetworkManager
Requires:       libqtxdg
Requires:       desktop-backgrounds-compat
Requires:       dbus
Requires:       dbus-x11
Requires:       pulseaudio
Requires:       pam
Requires:       udisks2
Requires:       upower
Requires:       dconf

Requires:       libhawaii
Requires:       hawaii-widget-styles
Requires:       hawaii-icon-theme
Requires:       hawaii-components = %{version}
Requires:       fluid


%description
This is the Hawaii desktop environment shell. It contains a Qt platform plugin 
and shells for different form factors such as desktop, netbook and tablet. Only 
the desktop shell is implemented at the moment though.


%package -n hawaii-components
Summary:        Hawaii QtQuick components
Requires:       qt5-qtquickcontrols
Requires:       qt5-qtquickcontrols2

%description -n hawaii-components
This package contains QtQuick components used by the Hawaii desktop environment shell.
applications and the official theme for SDDM.


%package -n sddm-theme-hawaii
Summary:        Hawaii theme for SDDM
Requires:       google-noto-sans-fonts
Requires:       qt5-qtsvg
Requires:       qt5-qtgraphicaleffects
Requires:       hawaii-components = %{version}
Requires:       hawaii-icon-theme
Requires:       libhawaii
Requires:       fluid
BuildArch:      noarch

%description -n sddm-theme-hawaii
Official SDDM theme for the Hawaii desktop environment.


%prep
%setup -q -n %{?snaphash:%{name}-%{snaphash}}%{!?snaphash:%{name}-%{version}}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%files
%license LICENSE.GPLv2 LICENSE.LGPLv2.1
%doc AUTHORS.md
%doc BUILD.md
%doc CONTRIBUTORS.md
%doc DEPENDENCIES.md
%doc NOTES.md
%doc README.md
%{_bindir}/*
%{_datadir}/wayland-sessions/*
%{_datadir}/hawaii/
%{_userunitdir}/*
%{_kf5_qmldir}/org/hawaiios/*
# This is disabled for now since QtWaylandClient CMake
# configuration is broken
#%{_kf5_qtplugindir}/wayland-decoration-client/*

%files -n hawaii-components
%{_kf5_qmldir}/Hawaii/*

%files -n sddm-theme-hawaii
%{_datadir}/sddm/themes/hawaii/


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 16 2017 Pier Luigi Fiorini <pierluigi.fiorini@hawaiios.org> - 0.8.0-4
- Rebuild

* Thu Oct 13 2016 Pier Luigi Fiorini <pierluigi.fiorini@hawaiios.org> - 0.8.0-3
- Rebuild

* Mon Sep 26 2016 Pier Luigi Fiorini <pierluigi.fiorini@hawaiios.org> - 0.8.0-2
- Rebuild against new libqtxdg

* Mon Aug 29 2016 Pier Luigi Fiorini <pierluigi.fiorini@hawaiios.org> - 0.8.0-1
- Update to 0.8.0

* Tue Jul 26 2016 Pier Luigi Fiorini <pierluigi.fiorini@hawaiios.org> - 0.7.1-1
- Update to 0.7.1

* Sun Jul 17 2016 Pier Luigi Fiorini <pierluigi.fiorini@hawaiios.org> - 0.7.0-1
- Update to 0.7.0

* Sat Apr 30 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.6.90-1.20160430git4cd524e9e3fd8
- Update to latest snapshot

* Wed Apr 20 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.6.90-1.20160419gita979a0738c047
- Update to latest snapshot

* Mon Feb 29 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.6.90-0.1.20160228git
- Update to latest snapshot

* Wed Feb 24 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.6.90-0.1.20160224
* Update to latest snapshot

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 27 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.6.0-3
- Add missing dependencies
- Rename GSettings override

* Thu Jan 14 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.6.0-2
- Require Green Island >= 0.7.1
- Update QML plugins path

* Thu Jan 14 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.6.0-1
- Update to 0.6.0

* Wed Dec 02 2015 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.5.92-3
- Move QML components to the hawaii-components package
- Make sddm-theme-hawaii depends on essential packages only
- Add NetworkManager to BR

* Sat Sep 26 2015 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.5.92-2
- Require higher greenisland
- Remove hawaii-wallpapers dependency
- Remove weston dependency

* Thu Sep 24 2015 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.5.92-1
- Update to 0.5.92.
- Use %%license tag.

* Tue Sep 22 2015 Peter Robinson <pbrobinson@fedoraproject.org> 0.3.0-5
- Use libqtxdg-devel as it contains QT5 support now

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Sep 28 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.3.0-3
- Update for QtWayland 5.4
- Update for Weston 1.6

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 24 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.3.0-1
- Update to 0.3 release
- Drop upstreamed patches

* Sun Jun 15 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.90-4.20140524git2785c40
- A later GIT snapshot
- Enable in GDM

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.90-4.20140212gite338ecb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Feb 19 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.90-3.20140212gite338ecb
- Correct missing dependencies

* Wed Feb 19 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.90-2.20140212gite338ecb
- More missing dependencies

* Sun Feb 16 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.90-1.20140212gite338ecb
- A later GIT snapshot
- Fixed dependencies

* Sat Jan 04 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.0.2-1
- Update to new release tarball

* Sun Nov 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.95-1
- Bump

* Tue Sep 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.93-1.20130822gitff4ed81
- Bump

* Mon Sep 16 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.91-1.20130804git5624ac7
- Initial packaging
